ranges::advance_fn Struct Reference
Iterator

## Public Member Functions

template<typename I >
constexpr auto | operator() (I &i, iter_difference_t< I > n) const -> void requires input_or_output_iterator< I >
template<typename I , typename S >
constexpr auto | operator() (I &i, S s) const -> void requires sentinel_for< S, I >
template<typename I , typename S >
constexpr auto | operator() (I &it, iter_difference_t< I > n, S bound) const -> iter_difference_t< I > requires sentinel_for< S, I >
template<typename I >
constexpr auto | operator() (counted_iterator< I > &i, iter_difference_t< I > n) const -> void requires input_or_output_iterator< I >